Skip to main content
GET
/
v2
/
messaging
/
conversations
/
search-messages
Search Conversation Messages
curl --request GET \
  --url https://api.voxo.co/v2/messaging/conversations/search-messages \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": 123,
      "userId": 123,
      "userName": "<string>",
      "peerName": "<string>",
      "conversationId": 123,
      "conversationName": "<string>",
      "participants": "<string>",
      "text": "<string>"
    }
  ],
  "page": 123,
  "totalRecords": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string

Search query

Minimum string length: 1
conversationId
string
required

Conversation ID to search within

Pattern: ^[1-9]\d*$
startDate
string<date-time>
required

Start date ISO Format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
endDate
string<date-time>
required

End date ISO Format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

Search results

records
object[]
required

Message search results

page
number
required

Current page

totalRecords
number
required

Total number of records